Subject: Re: (usagi-users 03190) Re: netfilter6: ICMPv6 type 143 doesn't match

From: Peter Bieringer <[email-masked]>
Date: Tue, 11 Jan 2005 20:56:35 +0100

--On Monday, January 10, 2005 02:17:09 PM +0100 Olaf Kirch <[email-masked]>
wrote:

> On Sat, Jan 08, 2005 at 12:45:14PM +0100, Peter Bieringer wrote:
>> -               ptr = IPV6_HDR_LEN;
>> +               ptr = ((u8*)skb->nh.raw - skb->data) + IPV6_HDR_LEN;
> [...]
>> But it won't help :-((
> 
> The following works for me on 2.6.8:
> 
> 		ptr = ((char *) ipv6 - (char *) skb->data) + IPV6_HDR_LEN;
> 
> Older 2.6 kernels also do not call ipv6_skip_exthdr() in icmp6_match();
> more recent kernels fix this.
> 
> Olaf

I'll be very happy now that I can report that on a recompiled 2.6.10
(latest Fedora Core 3 update), this patch works for me. I will file a RH
bugzilla entry for that and the esp match problem.

Thank you all very much for helping!

        Peter
-- 
Dr. Peter Bieringer                     http://www.bieringer.de/pb/
GPG/PGP Key 0x958F422D               mailto: pb at bieringer dot de 
Deep Space 6 Co-Founder and Core Member  http://www.deepspace6.net/